Bug 12909 - item withdrawn is missing in inventory results
Summary: item withdrawn is missing in inventory results
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Fridolin Somers
QA Contact: Testopia
URL: /cgi-bin/koha/tools/inventory.pl
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-11 15:29 UTC by Fridolin Somers
Modified: 2015-12-03 22:11 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 12909 - item withdrawn is missing in inventory results (3.92 KB, patch)
2014-09-12 12:15 UTC, Fridolin Somers
Details | Diff | Splinter Review
[SIGNED OFF] Bug 12909 - item withdrawn is missing in inventory results (4.00 KB, patch)
2014-09-13 01:11 UTC, Nick Clemens
Details | Diff | Splinter Review
[PASSED QA] Bug 12909 - item withdrawn is missing in inventory results (4.03 KB, patch)
2014-09-19 11:58 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2014-09-11 15:29:46 UTC
In inventory results, CSV or screen, the item withdrawn information is missing.
Comment 1 Fridolin Somers 2014-09-12 12:15:26 UTC Comment hidden (obsolete)
Comment 2 Fridolin Somers 2014-09-12 12:17:40 UTC
Note : 
The fact that the coded value of withdrawn appears instead of description will be corrected in another bug.
Comment 3 Nick Clemens 2014-09-13 01:11:24 UTC Comment hidden (obsolete)
Comment 4 Kyle M Hall 2014-09-19 11:58:56 UTC
Created attachment 31734 [details] [review]
[PASSED QA] Bug 12909 - item withdrawn is missing in inventory results

In inventory results, CSV or screen, the item withdrawn information is missing.
This information can be usefull to understand why an item was not scanned.

Test plan :
- Check you have in default framework an item subfield mapped with items.withdrawn
- Create a biblio with default framework
- Create an item with barcode='000AAA1', callnumber='ZZZAAA1' and withdrawn=0
- Create an item with barcode='000AAA2', callnumber='ZZZAAA2' and withdrawn=1
- Go to inventory tool : /cgi-bin/koha/tools/inventory.pl
- Enter item callnumber between 'ZZZ' and 'ZZZZ'
- Submit
=> You see a column 'Withdrawn' with withdrawn value
- Go to inventory tool : /cgi-bin/koha/tools/inventory.pl
- Enter item callnumber between 'ZZZ' and 'ZZZZ'
- Check 'Export to CSV file'
- Submit
- Open exported file
=> You see a column 'Withdrawn' with withdrawn value

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Tomás Cohen Arazi 2014-11-21 18:35:04 UTC
Patch pushed to master.

Thanks Frido!